-------------------------------------------------------------------------
-- DeformableToRigid.ms
-- Copyright 2000, Discreet      www.discreet.com
-- Created By Simon Feltman       simon.feltman@autodesk.com
-------------------------------------------------------------------------
utility DefToRigid "Convert Deformable to Rigid"
(
	pickbutton pickobject "Pick Object"
	
	on pickobject picked obj do
	(
		local phy = physique.GetContext obj obj.physique
		phy.allowblending = true
		phy.converttorigid = true

		struct PhyVtx ( type, nodes, weights )
		
		global buffer = #()
		for i = 1 to phy.numverts do
		(
			local vtx = physique.GetVertex phy i
			append buffer (PhyVtx vtx.type vtx.nodes vtx.weights)
		)
		
		for i = 1 to phy.numverts do
		(
			local vtx = physique.GetVertex phy i
			vtx.type = buffer[i].type
			vtx.nodes = buffer[i].nodes
			vtx.weights = buffer[i].weights
		)
	)
)

